Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssh.cp.client
Interface SCPClient

All Known Implementing Classes:
  SCPClientImpl

    public interface SCPClient

Method Summary
`void` | `connect()` connect to the remote SSH server;
`void` | `disconnect()` disconnect the client from the remote SSH server;
`void` | `get()` get data from remote SSH server (specified by configuration parameters `RemoteDirectory` and `RemoteFile`) to the local machine; depends on the current status of the configuration, the remote data could be stored into the payload (in memory buffer) or a local file specified by configuration parameters `LocalDirectory` and `LocalFile`; Note, the remote could be a folder - in this case, if the configuration parameter `Recursive` is "Yes" - the folder hierarchy is copied to the local destination;
`byte[]` | `getPayload()` return the payload buffer - byte array;
`void` | `getRecursive()` same as get with configuration parameter `Recursive` set to "Yes"
`boolean` | `isConnected()` test if the client is connected to a remote SSH server;
`void` | `put()` put data from local (specified by configuration parameters `LocalDirectory` and `LocalFile`) to the remote SSH server file specified by specified by configuration parameters `RemoteDirectory` and `RemoteFile`; depends on the current status of the configuration, the local data could be from payload or a local file; Note, the local could be a folder - in this case, if the configuration parameter `Recursive` is "Yes" - the folder hierarchy is copied to the remote destination;
`void` | `putRecursive()` same as put with configuration parameter `Recursive` set to "Yes"
`boolean` | `reset()` internal life cycle methods reset the scp client such as discard payload buffer
`void` | `setPayload(byte[] newPayload)` set the payload buffer with `newPayload`
`void` | `terminate()` internal life cycle method;

Method Detail

### reset

    boolean reset()
                  throws SCPException

  internal life cycle methods reset the scp client such as discard payload buffer

  Returns:
  Throws:
    `SCPException`

### terminate

    void terminate()
                   throws SCPException

  internal life cycle method;

  Throws:
    `SCPException`

### getPayload

    byte[] getPayload()

  return the payload buffer - byte array;

  Returns:
    payload buffer;

### setPayload

    void setPayload(byte[] newPayload)

  set the payload buffer with `newPayload`

  Parameters:
    `newPayload` -

### connect

    void connect()
                 throws SCPException

  connect to the remote SSH server;

  Throws:
    `SCPException`

### disconnect

    void disconnect()
                    throws SCPException

  disconnect the client from the remote SSH server;

  Throws:
    `SCPException`

### isConnected

    boolean isConnected()
                        throws SCPException

  test if the client is connected to a remote SSH server;

  Returns:
    true if connected false otherwise;
  Throws:
    `SCPException`

### put

    void put()
             throws SCPException

  put data from local (specified by configuration parameters `LocalDirectory` and `LocalFile`) to the remote SSH server file specified by specified by configuration parameters `RemoteDirectory` and `RemoteFile`; depends on the current status of the configuration, the local data could be from payload or a local file; Note, the local could be a folder - in this case, if the configuration parameter `Recursive` is "Yes" - the folder hierarchy is copied to the remote destination;

  Throws:
    `SCPException`

### get

    void get()
             throws SCPException

  get data from remote SSH server (specified by configuration parameters `RemoteDirectory` and `RemoteFile`) to the local machine; depends on the current status of the configuration, the remote data could be stored into the payload (in memory buffer) or a local file specified by configuration parameters `LocalDirectory` and `LocalFile`; Note, the remote could be a folder - in this case, if the configuration parameter `Recursive` is "Yes" - the folder hierarchy is copied to the local destination;

  Throws:
    `SCPException`

### putRecursive

    void putRecursive()
                      throws SCPException

  same as put with configuration parameter `Recursive` set to "Yes"

  Throws:
    `SCPException`

### getRecursive

    void getRecursive()
                      throws SCPException

  same as get with configuration parameter `Recursive` set to "Yes"

  Throws:
    `SCPException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD